#!/usr/bin/env python

import numpy as N
import numpy.ma as MA
import Ngl, Nio

fpin = Nio.open_file('test.nc','r')
time = fpin.variables['time'][:]
nz   = fpin.dimensions['z_t']
zt   = fpin.variables['z_t'][:]/100.
po4  = fpin.variables['PO4'][...,6]
fpin.close()

po4 = po4.reshape(-1,12,nz).mean(0)

zscale = [50,100,250,500,1000,2000,3000,4000,5000]

mres = Ngl.Resources()
mres.sfXArray              = N.arange(12) + 1.
mres.sfYArray              = zt
mres.pmLabelBarDisplayMode = 'Always'
mres.tmYLMode              = 'Explicit'
mres.tmYLValues            = zscale
mres.tmYLLabels            = zscale
mres.trYReverse            = True
mres.tiXAxisString         = 'month'
mres.tiYAxisString         = 'depth (m)'
mres.nglPaperOrientation   = 'portrait'
mres.nglXAxisType          = 'LinearAxis'
#mres.nglYAxisType          = 'LinearAxis'

wres = Ngl.Resources()

wks = Ngl.open_wks('ps','test',wres)
fig = Ngl.contour(wks,po4.transpose(),mres)
Ngl.destroy(wks)
